Is MacOSX really supported by codelite????

General questions regarding the usage of CodeLite
Raymi
CodeLite Curious
Posts: 6
Joined: Mon May 15, 2017 2:57 pm
Genuine User: Yes
IDE Question: c++
Contact:

Is MacOSX really supported by codelite????

Postby Raymi » Fri Oct 26, 2018 4:22 pm

I was so pleased to work with codelite because of MacOSX compatibility and portability to other platforms afterwards. But since some releases, it is getting worse! I'm wondering if there is any test on Mac systems before releasing...

Just 2 examples (v12):
- Weekly build section mentions "OSX 10.11 and later bundle ": You need OSX 10.14 otherwise it is not running, simply rejected by MacOS.
- Last stable release 12.0 does not care about option "not to warn about new version other than stable" anymore, the editor doesn't take into account color settings, navigation not working, mess in files between projects within the workspace, no code snippets anymore and etc...

Really disappointing.
User avatar
eranif
CodeLite Plugin
Posts: 5797
Joined: Wed Feb 06, 2008 9:29 pm
Genuine User: Yes
IDE Question: C++
Contact:

Re: Is MacOSX really supported by codelite????

Postby eranif » Fri Oct 26, 2018 9:35 pm

The current stable release was developed on OSX sierra. The current weekly build was developed on macOS mojave
The build on macOS is always tested.

The least you can do is report the bugs, posts like this will get you no where.
If you feel disappointed, feel free to fix the bugs you find and submit a PR (it is open source after all)
Make sure you have read the HOW TO POST thread

Who is online

Users browsing this forum: No registered users and 16 guests